<?php
use Incoviba\Controller\API\Contabilidad\Nubox;

$app->group('/nubox/{inmobiliaria_rut}', function($app) {
    $app->get('/token[/]', [Nubox::class, 'token']);
    $app->get('/sistemas[/]', [Nubox::class, 'sistemas']);
    $app->get('/cuentas[/]',  [Nubox::class, 'cuentas']);
    $app->group('/libro', function($app) {
        $app->post('/mayor[/]', [Nubox::class, 'libroMayor']);
        $app->post('/diario[/]', [Nubox::class, 'libroDiario']);
    });
    $app->get('/facturas/{dia}[/]', [Nubox::class, 'facturas']);
    $app->post('/cuenta', [Nubox::class, 'cuenta']);
});
